/*
 * Class WEL_GCL_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_86 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_86 [] = {0xFF01,1551,85,0xFFFF};
static const EIF_TYPE_INDEX egt_2_86 [] = {0xFF01,85,0xFFFF};
static const EIF_TYPE_INDEX egt_3_86 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_86 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_86 [] = {0xFF01,85,0xFFFF};
static const EIF_TYPE_INDEX egt_6_86 [] = {0xFF01,85,0xFFFF};
static const EIF_TYPE_INDEX egt_7_86 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_86 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_86 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_86 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_86 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_86 [] = {0xFF01,85,0xFFFF};


static const struct desc_info desc_86[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_86), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_86), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_86), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_86), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_86), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_86), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_86), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_86), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_86), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_86), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_86), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_86), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xAB /*85*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_86), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1170, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1171, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1172, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1173, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1174, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1175, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1176, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1177, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1178, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1179, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1180, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1181, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1182, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1183, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1184, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1185, 0xFFFFFFFF},
};
void Init86(void)
{
	IDSC(desc_86, 0, 85);
	IDSC(desc_86 + 1, 1, 85);
	IDSC(desc_86 + 32, 915, 85);
}


#ifdef __cplusplus
}
#endif
